package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.RisikoGizi;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PosisiRahim
 * 
 * @author Generator
 */
@Entity
@Table(name = "AsesmenGiziAwal_T")
public class AsesmenGiziAwalVO extends BaseTransactionVO {
	
	@ManyToOne(cascade=CascadeType.REFRESH)
	@JoinColumn(name = "RisikoFk")
	
	@Caption(value="Risiko")
	private RisikoGizi risiko;
	@Column(name = "RisikoFk", insertable=false,updatable=false,nullable = true)
	private Integer risikoId;
	
	
	public RisikoGizi getRisiko() {
		return risiko;
	}

	public void setRisiko(RisikoGizi risiko) {
		this.risiko = risiko;
	}
	@ManyToOne
	@NotNull(message="No C M Harus Diisi")
	@Caption(value="No C M")
	private AntrianPasienDiPeriksaVO pasienDaftar;

	@NotNull(message="Tgl Pendaftaran tidak boleh kosong")
	@Column(name = "TanggalPendaftaran", nullable = false )
	@Caption(value="Tanggal Registrasi")
	private Date tanggalPendaftaran;
	
	@OneToMany
	private Set<PreskripsiDietVO> preskripsiDiet=new HashSet<PreskripsiDietVO>();
	
	@OneToMany
	private Set<TindakLanjutGiziVO> tindakLanjutGizi=new HashSet<TindakLanjutGiziVO>();

	public AntrianPasienDiPeriksaVO getPasien() {
		return pasienDaftar;
	}

	public void setPasien(AntrianPasienDiPeriksaVO pasien) {
		this.pasienDaftar = pasien;
	}

	public Date getTanggalPendaftaran() {
		return tanggalPendaftaran;
	}

	public void setTanggalPendaftaran(Date tanggalPendaftaran) {
		this.tanggalPendaftaran = tanggalPendaftaran;
	}

	public Set<PreskripsiDietVO> getPreskripsiDiet() {
		return preskripsiDiet;
	}

	public void setPreskripsiDiet(Set<PreskripsiDietVO> preskripsiDiet) {
		this.preskripsiDiet = preskripsiDiet;
	}

	public Set<TindakLanjutGiziVO> getTindakLanjutGizi() {
		return tindakLanjutGizi;
	}

	public void setTindakLanjutGizi(Set<TindakLanjutGiziVO> tindakLanjutGizi) {
		this.tindakLanjutGizi = tindakLanjutGizi;
	}

	
	
}

